Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class VertexIconAndShapeFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.DefaultVertexIconFunction
          edu.uci.ics.jung.graph.decorators.VertexIconAndShapeFunction

All Implemented Interfaces:
  VertexIconFunction, VertexShapeFunction

Direct Known Subclasses:
  VertexImageShaperDemo.DemoVertexImageShapeFunction

public class VertexIconAndShapeFunction
extends DefaultVertexIconFunction
implements VertexShapeFunction

A default implementation that stores images in a Map keyed on the vertex. Also applies a shaping function to images to extract the shape of the opaque part of a transparent image.

Author:
  Tom Nelson - RABA Technologies

Field Summary
`protected VertexShapeFunction` | `delegate`
`protected Map` | `shapeMap`

Fields inherited from class edu.uci.ics.jung.graph.decorators.DefaultVertexIconFunction
`iconMap`

Fields inherited from interface edu.uci.ics.jung.graph.decorators.VertexIconFunction
`BROKEN_IMAGE`

Constructor Summary
`VertexIconAndShapeFunction(VertexShapeFunction delegate)`

Method Summary
`VertexShapeFunction` | `getDelegate()`
`Shape` | `getShape(Vertex v)` get the shape from the image.
`void` | `setDelegate(VertexShapeFunction delegate)`

Methods inherited from class edu.uci.ics.jung.graph.decorators.DefaultVertexIconFunction
`getIcon, getIconMap, setIconMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shapeMap

    protected Map shapeMap

### delegate

    protected VertexShapeFunction delegate

Constructor Detail

### VertexIconAndShapeFunction

    public VertexIconAndShapeFunction(VertexShapeFunction delegate)

Method Detail

### getDelegate

    public VertexShapeFunction getDelegate()

  Returns:
    Returns the delegate.

### setDelegate

    public void setDelegate(VertexShapeFunction delegate)

  Parameters:
    `delegate` - The delegate to set.

### getShape

    public Shape getShape(Vertex v)

  get the shape from the image. If not available, get the shape from the delegate VertexShapeFunction

  Specified by:
    `getShape` in interface `VertexShapeFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD